<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
  <title>Multitenancy - Posts</title>
  <thymeleaf th:replace="~{includes :: meta_script_link}"></thymeleaf>
  <script src="/js/posts.js" sec:authorize="hasRole('TENANT_ADMIN')" defer></script>
</head>
<body>

<header th:replace="~{includes :: header(page='posts')}"></header>

<main class="container">
  <h1>Posts</h1>
  <h3>These are the posts of <span th:text="${tenant}"></span>:</h3>
  <table class="table">
    <thead>
    <tr>
      <th>Text</th>
      <th>Author</th>
      <th sec:authorize="hasRole('TENANT_ADMIN')"></th>
    </tr>
    </thead>
    <tbody>
    <tr th:each="post: ${posts}" th:id="'post_' + ${post.id}">
      <td th:text="${post.text}" class="pt-3"></td>
      <td th:text="${post.authorEmail}" class="pt-3"></td>
      <td sec:authorize="hasRole('TENANT_ADMIN')">
        <button class="btn btn-danger" type="button">Delete</button>
      </td>
    </tr>
    </tbody>
  </table>
</main>

</body>
</html>
